### Method

# GtkSource SearchContext get_occurrence_position

#### Declaration [src]

    gint
    gtk_source_search_context_get_occurrence_position (
      GtkSourceSearchContext* search,
      const GtkTextIter* match_start,
      const GtkTextIter* match_end
    )

#### Description [src]

Gets the position of a search occurrence.

If the buffer is not already fully scanned, the position may be unknown, and -1 is returned. If 0 is returned, it means that this part of the buffer has already been scanned, and that `match_start` and `match_end` don’t delimit an occurrence.

#### Parameters

`match_start`

  Type: `GtkTextIter`

  The start of the occurrence.

  The data is owned by the caller of the method.

`match_end`

  Type: `GtkTextIter`

  The end of the occurrence.

  The data is owned by the caller of the method.

#### Return value

Type: `gint`

The position of the search occurrence. The first occurrence has the position 1 (not 0). Returns 0 if `match_start` and `match_end` don’t delimit an occurrence. Returns -1 if the position is not yet known.